{
    attributes = (
        {
            columnName = "ID_DESCRIPTIF_THEME"; 
            externalType = NUMBER; 
            name = id; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = LIBELLE; 
            externalType = VARCHAR2; 
            name = libelle; 
            valueClassName = NSString; 
            width = 255; 
        }, 
        {
            allowsNull = Y; 
            columnName = ORDRE; 
            externalType = NUMBER; 
            name = ordre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYPE_COMPOSANT_ID"; 
            externalType = NUMBER; 
            name = typeComposantId; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (id); 
    className = "org.cocktail.fwkcktlscolpeda.serveur.metier.EODescriptifTheme"; 
    classProperties = (descriptifChampTitres, id, libelle, ordre, typeComposant, typeComposantId); 
    externalName = "SCO_SCOLARITE.DESCRIPTIF_THEME"; 
    fetchSpecificationDictionary = {}; 
    name = "Sco_DescriptifTheme"; 
    primaryKeyAttributes = (id); 
    relationships = (
        {
            definition = "sco_DescriptifThemeTitres.descriptifChampTitre"; 
            name = descriptifChampTitres; 
        }, 
        {
            deleteRule = EODeleteRuleCascade; 
            destination = "Sco_DescriptifThemeTitre"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = descriptifThemeId; sourceAttribute = id; }); 
            name = "sco_DescriptifThemeTitres"; 
            propagatesPrimaryKey = Y; 
        }, 
        {
            destination = "Sco_TypeComposant"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = id; sourceAttribute = typeComposantId; }); 
            name = typeComposant; 
        }
    ); 
}
